Bug 391371 - SELinux is preventing sendmail SMTP authentication via saslauthd
SELinux is preventing sendmail SMTP authentication via saslauthd
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-19 21:40 EST by Dan Siemon
Modified: 2008-01-30 14:06 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:06:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Siemon 2007-11-19 21:40:52 EST
Description of problem:
Fresh install of Fedora 8. All updates current as of Nov 19 2007. SELinux is
preventing sendmail SMTP authentication from working. Did a file system relabel
to no effect.

Relevant bits of sendmail.mc:
define(`confAUTH_OPTIONS', `A p')dnl
TRUST_AUTH_MECH(`PLAIN')dnl
define(`confAUTH_MECHANISMS', `PLAIN')dnl

Audit log entries:
type=AVC msg=audit(1195525260.759:46): avc:  denied  { search } for  pid=2599
comm="sendmail" name="saslauthd" dev=dm-0 ino=1311128
scontext=system_u:system_r:sendmail_t:s0
tcontext=system_u:object_r:saslauthd_var_run_t:s0 tclass=dir
type=SYSCALL msg=audit(1195525260.759:46): arch=c000003e syscall=42 success=no
exit=-13 a0=5 a1=7fffbc29df80 a2=6e a3=0 items=0 ppid=2111 pid=2599
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=51 sgid=51 fsgid=51
tty=(none) comm="sendmail" exe="/usr/sbin/sendmail.sendmail"
subj=system_u:system_r:sendmail_t:s0 key=(null)
Comment 1 Daniel Walsh 2007-11-26 11:27:48 EST
You can allow this for now by executing 

# audit2allow -M mypol -i /var/log/audit/audit.log 
# semodule -i mypol.pp

Fixed in selinux-policy-3.0.8-62.fc8
Comment 2 Daniel Walsh 2008-01-30 14:06:38 EST
Bulk closing a old selinux policy bugs that were in the modified state.  If the
bug is still not fixed.  Please reopen.

Note You need to log in before you can comment on or make changes to this bug.